# DeTEE CLI

Please be aware this product has been designed for:
- DevOps engineers
- Software developers
- Cybersecurity enthusiasts

Having basic understand of operating systems, containers, virtual machines and deployment of software is required in order to use the CLI. 

### Installation

The DeTEE CLI is available as a container. First make sure you [install docker] https://docs.docker.com/desktop/).

Once docker is installed, use the following command to run the CLI:
```
docker run -it --name detee-cli --entrypoint /usr/bin/fish NOT_PUBLIC_YET
```

### Configure accounts

Inside the container, configure the accounts for your session:
```
ssh-keygen
# Hit enter a few times.
detee-cli account ssh-pubkey-path /root/.ssh/id_ed25519.pub
detee-cli account brain-url http://164.92.249.180:31337
```

Also, list get your public key:
```
detee-cli account | grep public
SNP admin public key: x52w7jARC5erhWWK65VZmjdGXzBK6ZDgfv1A283d8XK
```
And give it to us on Discord so that we can give you your airdrop.

### VM commands

```
# arch
detee-cli vm deploy
# ubuntu
detee-cli vm deploy --distro ubuntu
# fedora
detee-cli vm deploy --distro fedora
# list VMs
detee-cli vm list
# delete a VM
detee-cli vm delete 1114ecb4-10d0-4a85-b8ac-f19281b77b5d
# specify vcpus
detee-cli vm deploy --vcpus 4
# specify vcpus and memory and run for 4 hours
detee-cli vm deploy --vcpus 4 --memory 2000 --hours 4
# update a VM
detee-cli vm update --disk 50 --hours 20 1114ecb4-10d0-4a85-b8ac-f19281b77b5d
```

